package com.steering.pss.sale.order.craftDesign.model;

/**
 * 数据库表COM_BASE_SPLINE_MIN_SIZE所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-06-29
 */
@SuppressWarnings("serial")
public class ComBaseSplineMinSizeEntity implements java.io.Serializable {
    /**
     * 试验方向
     */
    private String splineDirection = "";
    /**
     * 试验标准代码
     */
    private String splineStdCode = "";
    /**
     * 主键
     */
    private String id = "";
    /**
     * 试验尺寸
     */
    private String itemCodeS = "";
    /**
     * 尺寸下限
     */
    private String minSize = "";
    /**
     * 尺寸上限
     */
    private String maxSize = "";
    /**
     * 递减系数
     */
    private String rate = "";
    private String processSurplus = "";
    private String minImpact = "";
    private String itemNameS = "";

	/**
     * 试验方向
     * @return value
     */
    public String getSplineDirection() {
        return splineDirection;
    }

    /**
     * 试验方向
     * @param splineDirection value
     */
    public void setSplineDirection(String splineDirection) {
        this.splineDirection = splineDirection;
    }

    /**
     * 试验标准代码
     * @return value
     */
    public String getSplineStdCode() {
        return splineStdCode;
    }

    /**
     * 试验标准代码
     * @param splineStdCode value
     */
    public void setSplineStdCode(String splineStdCode) {
        this.splineStdCode = splineStdCode;
    }

    /**
     * 主键
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * 主键
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 试验尺寸
     * @return value
     */
    public String getItemCodeS() {
        return itemCodeS;
    }

    /**
     * 试验尺寸
     * @param itemCodeS value
     */
    public void setItemCodeS(String itemCodeS) {
        this.itemCodeS = itemCodeS;
    }

    /**
     * 尺寸下限
     * @return value
     */
    public String getMinSize() {
        return minSize;
    }

    /**
     * 尺寸下限
     * @param minSize value
     */
    public void setMinSize(String minSize) {
        this.minSize = minSize;
    }

    /**
     * 尺寸上限
     * @return value
     */
    public String getMaxSize() {
        return maxSize;
    }

    /**
     * 尺寸上限
     * @param maxSize value
     */
    public void setMaxSize(String maxSize) {
        this.maxSize = maxSize;
    }

    /**
     * 递减系数
     * @return value
     */
    public String getRate() {
        return rate;
    }

    /**
     * 递减系数
     * @param rate value
     */
    public void setRate(String rate) {
        this.rate = rate;
    }
    
    public String getProcessSurplus() {
		return processSurplus;
	}

	public void setProcessSurplus(String processSurplus) {
		this.processSurplus = processSurplus;
	}

	public String getMinImpact() {
		return minImpact;
	}

	public void setMinImpact(String minImpact) {
		this.minImpact = minImpact;
	}
	
	public String getItemNameS() {
		return itemNameS;
	}

	public void setItemNameS(String itemNameS) {
		this.itemNameS = itemNameS;
	}
}
